{"openapi":"3.1.0","info":{"title":"Admin Operations","description":"The Admin Operations API allows for management of the SCM account using an admin credential","contact":{},"version":"26.3.1"},"servers":[{"url":"https://admin.{instance}.sectigo.com","description":"Admin Operations API Server","variables":{"instance":{"description":"Each instance of Sectigo's services has a unique value.","default":"enterprise","enum":["enterprise"," hard"]}}}],"security":[{"bearer-jwt":[]}],"tags":[{"name":"MS AD Discovery Tasks","description":"View and manage MS AD discovery tasks"},{"name":"Azure Accounts","description":"View Azure accounts and related info"},{"name":"Network Agents","description":"Used to perform operations on Network Agents."},{"name":"Usage","description":"Inventory and usage statistics for certificates, domains, private CAs, and CLM."},{"name":"Assignment rules","description":"View and manage discovery assignment rules"},{"name":"Operations","description":"View and manage certificate discovery operations"},{"name":"Endpoint Accounts","description":"Provides API for enrollment endpoint accounts management."},{"name":"Administrators","description":"Provides API for administrator users management. Supported administrator types: STANDARD, API, IDP, SAS."},{"name":"Universal ACME accounts","description":"View and manage universal ACME accounts"},{"name":"SSL certificates","description":"Used to perform operations on SSL certificates.\nSSL certificates are identified by an ID field, usually known as sslId in this API."},{"name":"Persons","description":"View and manage persons"},{"name":"Domain Control Validation","description":"Any domain added to SCM must pass Domain Control Validation (DCV) before public certificates can be issued to it. DCV is a procedure of validation of the applicant’s control of the domain which needs to appear in the subject of the certificate."},{"name":"Reports V2","description":"Certificate Manager report generation API V2"},{"name":"Sectigo Public ACME Servers","description":"View Public ACME servers information"},{"name":"Organizations","description":"View and manage organizations"},{"name":"Template Administrators","description":"Provides API for template administrators management. IdP Templates are used for automatic creation of IdP Administrators during login via Identity Provider. The IdP attribute mapping controls which template an admin will be linked to."},{"name":"Validations","description":"Provides API for organization validations management."},{"name":"Device certificates","description":"Used to perform operations on device certificates."},{"name":"Endpoints","description":"Provides API for enrollment endpoint management."},{"name":"Profiles","description":"View and manage certificate profiles"},{"name":"ACME EV details validation","description":"ACME EV details validation"},{"name":"Network Discovery Tasks","description":"Manage network discovery tasks"},{"name":"Notifications","description":"View and manage notifications"},{"name":"Reports","description":"View reports"},{"name":"Sectigo Public ACME accounts","description":"View and manage Sectigo Public ACME accounts"},{"name":"Certificate Buckets","description":"View and manage certificate buckets"},{"name":"DNS connector","description":"Used to perform operations on DNS connector."},{"name":"Custom Fields","description":"View and manage custom fields."},{"name":"Client Certificates","description":"Used to perform operations on client certificates"},{"name":"Domains","description":"Provides API for domains management."},{"name":"Mark certificates","description":"Used to perform operations on Mark certificates."},{"name":"Azure Key Vault Discovery Tasks","description":"View and manage Azure Key Vault discovery tasks"},{"name":"MS Agents","description":"Used to perform operations on MS Agents."}],"paths":{"/api/ssl/v2":{"get":{"tags":["SSL certificates"],"summary":"List SSL Certificates","description":"List all SSL certificates that match the requested filter.","operationId":"get-ssl-certificates-list","parameters":[{"name":"size","in":"query","description":"Count of entries","required":false,"schema":{"type":"integer","format":"int32","description":"Count of entries","maximum":200,"minimum":0}},{"name":"position","in":"query","description":"The first position (entry) to return from the results of the query","required":false,"schema":{"type":"integer","format":"int32","description":"The first position (entry) to return from the results of the query","minimum":0}},{"name":"commonName","in":"query","description":"Filter by Common Name","required":false,"schema":{"type":"string","description":"Filter by Common Name"}},{"name":"subjectAlternativeName","in":"query","description":"Filter by Subject Alternative Name","required":false,"schema":{"type":"string","description":"Filter by Subject Alternative Name"}},{"name":"status","in":"query","description":"Filter by status.","required":false,"schema":{"type":"string","description":"Filter by status.","enum":["Invalid","Requested","Approved","Declined","Applied","Issued","Revoked","Expired","Replaced","Rejected","SA Approved","Init"]}},{"name":"sslTypeId","in":"query","description":"Filter by Certificate Profile ID","required":false,"schema":{"type":"integer","format":"int32","description":"Filter by Certificate Profile ID","minimum":1}},{"name":"discoveryStatus","in":"query","description":"Filter by discovery status. (deprecated, see \"requestedVia\").","required":false,"deprecated":true,"schema":{"type":"string","description":"Filter by discovery status. (deprecated, see \"requestedVia\").","enum":["NotDeployed","Deployed"]}},{"name":"vendor","in":"query","description":"Filter by Vendor","required":false,"schema":{"type":"string","description":"Filter by Vendor","maxLength":128,"minLength":0}},{"name":"orgId","in":"query","description":"Filter by Organization ID","required":false,"schema":{"type":"integer","format":"int32","description":"Filter by Organization ID"}},{"name":"installStatus","in":"query","description":"Filter by Install status","required":false,"schema":{"type":"string","description":"Filter by Install status","enum":["Not configured","Not started","Key processing","Key and CSR ready","Certificate processing","Installation scheduled","Installation processing","Action required","Ready for install","Server restart required","Completed","Invalid configuration","Certificate chain uploaded"]}},{"name":"renewalStatus","in":"query","description":"Filter by Renewal status.","required":false,"schema":{"type":"string","description":"Filter by Renewal status.","enum":["Not scheduled","Scheduled","Started","Successful","Failed"]}},{"name":"issuer","in":"query","description":"Filter by Issuer","required":false,"schema":{"type":"string","description":"Filter by Issuer"}},{"name":"serialNumber","in":"query","description":"Filter by Serial Number","required":false,"schema":{"type":"string","description":"Filter by Serial Number","maxLength":128,"minLength":0}},{"name":"requester","in":"query","description":"Filter by Requester","required":false,"schema":{"type":"string","description":"Filter by Requester","maxLength":128,"minLength":0}},{"name":"externalRequester","in":"query","description":"Filter by External Requester","required":false,"schema":{"type":"string","description":"Filter by External Requester","maxLength":512,"minLength":0}},{"name":"signatureAlgorithm","in":"query","description":"Filter by Signature Algorithm","required":false,"schema":{"type":"string","description":"Filter by Signature Algorithm","maxLength":32,"minLength":0}},{"name":"keyAlgorithm","in":"query","description":"Filter by Key Algorithm","required":false,"schema":{"type":"string","description":"Filter by Key Algorithm","maxLength":32,"minLength":0}},{"name":"keySize","in":"query","description":"Filter by Key Size filter (deprecated, see \"keyParam\")","required":false,"deprecated":true,"schema":{"type":"integer","format":"int32","description":"Filter by Key Size filter (deprecated, see \"keyParam\")","minimum":1}},{"name":"keyParam","in":"query","description":"Filter by Key Size/Curve Name","required":false,"schema":{"type":"string","description":"Filter by Key Size/Curve Name","maxLength":32,"minLength":0}},{"name":"sha1Hash","in":"query","description":"Filter by SHA1 Hash","required":false,"schema":{"type":"string","description":"Filter by SHA1 Hash","maxLength":40,"minLength":0}},{"name":"md5Hash","in":"query","description":"Filter by MD5 Hash","required":false,"schema":{"type":"string","description":"Filter by MD5 Hash","maxLength":32,"minLength":0}},{"name":"sha256Hash","in":"query","description":"Filter by SHA256 Hash","required":false,"schema":{"type":"string","description":"Filter by SHA256 Hash","maxLength":64,"minLength":0}},{"name":"keyUsage","in":"query","description":"Filter by Key Usage","required":false,"schema":{"type":"string","description":"Filter by Key Usage","maxLength":256,"minLength":0}},{"name":"extendedKeyUsage","in":"query","description":"Filter by Extended Key Usage","required":false,"schema":{"type":"string","description":"Filter by Extended Key Usage","maxLength":512,"minLength":0}},{"name":"requestedVia","in":"query","description":"Filter by Requested Via","required":false,"schema":{"type":"string","description":"Filter by Requested Via","enum":["Enrollment Form","Client Admin","Web API","Discovery","Imported","SCEP","CD Agent","MS Agent","MS CA","Bulk Request","ACME","EST","REST API"]}}],"responses":{"200":{"description":"Array of SSL identities according to applied filters","headers":{"X-Total-Count":{"description":"Count of SSL Certificates.","style":"simple","schema":{"type":"number"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SSLIdentity"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["SSL certificates"],"summary":"Update SSL Certificate Details","description":"Update SSL certificate.","operationId":"update-ssl-certificate-details","requestBody":{"description":"SSL certificate update request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SslInfo"}}},"required":true},"responses":{"200":{"description":"SSL Certificate details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertDetailsResponse","description":"SSL identity"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/{sslId}/location/{locationId}":{"get":{"tags":["SSL certificates"],"summary":"Get Location Details","description":"Returns SSL certificate location details.","operationId":"get-ssl-cert-location-details","parameters":[{"name":"sslId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"SSL certificate location details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationResponseItem","description":"SSL certificate location details"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["SSL certificates"],"summary":"Update Custom Location","description":"Updates custom certificate location with the new details.","operationId":"update-ssl-cert-custom-location","parameters":[{"name":"sslId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationCreateUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["SSL certificates"],"summary":"Delete Custom Location","description":"Deletes custom certificate location.","operationId":"delete-ssl-cert-custom-location","parameters":[{"name":"sslId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/smime/v2/{certId}/location/{locationId}":{"get":{"tags":["Client Certificates"],"summary":"Get Location Details","description":"Returns Client certificate location details.","operationId":"get-client-cert-location-details","parameters":[{"name":"certId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Client certificate location details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationResponseItem","description":"Client certificate location details"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Client Certificates"],"summary":"Update Custom Location","description":"Updates custom certificate location with the new details.","operationId":"update-client-cert-custom-location","parameters":[{"name":"certId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationCreateUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Client Certificates"],"summary":"Delete Custom Location","description":"Deletes custom certificate location.","operationId":"delete-client-cert-custom-location","parameters":[{"name":"certId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/admin/v1/{id}":{"get":{"tags":["Administrators"],"summary":"Get administrator details","description":"Get detailed information about administrator.","operationId":"get-admin-details","parameters":[{"name":"id","in":"path","description":"ID of admin whose details are being requested","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Administrator details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientAdminDetailsResponse","description":"Administrator details"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Administrators"],"summary":"Update administrator","description":"Update administrator account. Fields that are not changed can be omitted. This method supports following admin types: STANDARD, API, IDP, SAS. Changing of admin type is supported, available transitions are: \n - STANDARD -> API, IDP, SAS; \n - API -> STANDARD; \n - IDP -> STANDARD, SAS; \n - SAS -> STANDARD.","operationId":"update-admin-account","parameters":[{"name":"id","in":"path","description":"ID of admin being updated","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Admin update request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAndUpdateClientAdminRequest"}}},"required":true},"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Administrators"],"summary":"Delete administrator","description":"Delete administrator account.","operationId":"delete-admin-user","parameters":[{"name":"id","in":"path","description":"ID of admin being deleted","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"replacingRequesterId","in":"query","description":"Optional, specifies ID of the client administrator to be assigned as certificate requester instead of the one being deleted. If omitted, currently assigned requester is retained. The replacing requester should have type other than IdP Template and have Id that differs from Id of the client administrator being deleted. Use respective list API method with necessary filtering options to get suitable client administrators.","required":false,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/person/v2/{id}":{"get":{"tags":["Persons"],"summary":"Find Person by Id","description":"Will return info for a person with given id.","operationId":"get-person-info-by-id","parameters":[{"name":"id","in":"path","description":"Unique ID for a Person","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Person Info response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonInfo","description":"Person info response"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Persons"],"summary":"Update Person","description":"Update person by id with specified person info.","operationId":"update-person","parameters":[{"name":"id","in":"path","description":"Unique ID for a Person.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Person info object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonInfo"}}},"required":true},"responses":{"200":{"description":"Response on successful update of a person"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Persons"],"summary":"Delete Person","description":"Delete person","operationId":"delete-person","parameters":[{"name":"id","in":"path","description":"Unique ID for a Person.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"Delete person response. No content."},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/organization/v2/{orgId}/validations/{validationId}/validator":{"put":{"tags":["Validations"],"summary":"Change validator","description":"Updates organization validation admin according to the provided request.","operationId":"update-validator-admin-organization-validation","parameters":[{"name":"orgId","in":"path","description":"Organization ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"validationId","in":"path","description":"Validation ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"adminId","in":"query","description":"Validator admin ID","required":true,"schema":{"type":"integer","description":"Validator admin ID"}}],"responses":{"202":{"description":"Updated"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/organization/v2/{orgId}/validations/{validationId}/revalidate":{"put":{"tags":["Validations"],"summary":"Re-submit the validation","description":"Resets and submit the validation with the updated details provided in the request.","operationId":"re-submit-organization-validation","parameters":[{"name":"orgId","in":"path","description":"Organization ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"validationId","in":"path","description":"Validation ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"organizationDetails.id","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"organizationDetails.name","in":"query","required":false,"schema":{"type":"string"}},{"name":"organizationDetails.generalDetails.legalName","in":"query","description":"Organization legal name","required":true,"schema":{"type":"string","description":"Organization legal name","maxLength":64,"minLength":0}},{"name":"organizationDetails.generalDetails.assumedName","in":"query","description":"Organization's assumed/DBA name (doing business as). Applicable only for EV validations.","required":false,"schema":{"type":"string","description":"Organization's assumed/DBA name (doing business as). Applicable only for EV validations.","maxLength":256,"minLength":0}},{"name":"organizationDetails.generalDetails.address1","in":"query","description":"Address line 1","required":false,"schema":{"type":"string","description":"Address line 1","maxLength":128,"minLength":0}},{"name":"organizationDetails.generalDetails.address2","in":"query","description":"Address line 2","required":false,"schema":{"type":"string","description":"Address line 2","maxLength":128,"minLength":0}},{"name":"organizationDetails.generalDetails.address3","in":"query","description":"Address line 3","required":false,"schema":{"type":"string","description":"Address line 3","maxLength":128,"minLength":0}},{"name":"organizationDetails.generalDetails.city","in":"query","description":"City","required":false,"schema":{"type":"string","description":"City","maxLength":32,"minLength":0}},{"name":"organizationDetails.generalDetails.stateProvince","in":"query","description":"State or province","required":false,"schema":{"type":"string","description":"State or province","maxLength":32,"minLength":0}},{"name":"organizationDetails.generalDetails.postalCode","in":"query","description":"Postal code","required":false,"schema":{"type":"string","description":"Postal code","maxLength":10,"minLength":0}},{"name":"organizationDetails.generalDetails.country","in":"query","description":"Country code (ISO 3166-1 alpha-2)","required":true,"schema":{"type":"string","description":"Country code (ISO 3166-1 alpha-2)","maxLength":2,"minLength":2}},{"name":"organizationDetails.organizationIdentifier","in":"query","description":"Organization Identifier. Applicable only for OV S/MIME validation.","required":false,"schema":{"type":"string","description":"Organization Identifier. Applicable only for OV S/MIME validation.","maxLength":128,"minLength":0}},{"name":"organizationDetails.evDetails.registrationAgency.dunAndBradstreetNumber","in":"query","description":"DUN and Bradstreet Number","required":false,"schema":{"type":"string","description":"DUN and Bradstreet Number","maxLength":20,"minLength":0}},{"name":"organizationDetails.evDetails.registrationAgency.registrationNumber","in":"query","description":"Company Registration Number","required":false,"schema":{"type":"string","description":"Company Registration Number","maxLength":256,"minLength":0}},{"name":"organizationDetails.evDetails.registrationAgency.city","in":"query","description":"Jurisdiction of City or Town","required":false,"schema":{"type":"string","description":"Jurisdiction of City or Town","maxLength":128,"minLength":0}},{"name":"organizationDetails.evDetails.registrationAgency.state","in":"query","description":"Jurisdiction of State","required":false,"schema":{"type":"string","description":"Jurisdiction of State","maxLength":128,"minLength":0}},{"name":"organizationDetails.evDetails.registrationAgency.country","in":"query","description":"Jurisdiction of Country. (ISO 3166-1 alpha-2 country code)","required":false,"schema":{"type":"string","description":"Jurisdiction of Country. (ISO 3166-1 alpha-2 country code)","maxLength":2,"minLength":2}},{"name":"organizationDetails.evDetails.registrationAgency.dateOfIncorporation","in":"query","description":"Date of incorporation","required":false,"schema":{"type":"string","format":"date-time","description":"Date of incorporation","pattern":"yyyy-MM-dd"}},{"name":"organizationDetails.evDetails.registrationAgency.businessCategory","in":"query","description":"Business category","required":false,"schema":{"type":"string","description":"Business category","enum":["PrivateOrganization","GovernmentEntity","BusinessEntity","NonCommercialEntity"]}},{"name":"organizationDetails.evDetails.contractSigner.forename","in":"query","description":"Forename","required":false,"schema":{"type":"string","description":"Forename","maxLength":64,"minLength":0}},{"name":"organizationDetails.evDetails.contractSigner.surname","in":"query","description":"Surname","required":false,"schema":{"type":"string","description":"Surname","maxLength":64,"minLength":0}},{"name":"organizationDetails.evDetails.contractSigner.email","in":"query","description":"Email","required":false,"schema":{"type":"string","description":"Email","maxLength":255,"minLength":0}},{"name":"organizationDetails.evDetails.contractSigner.phoneNumber","in":"query","description":"Phone number","required":false,"schema":{"type":"string","description":"Phone number","maxLength":32,"minLength":0}}],"responses":{"200":{"description":"Updated validation details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationDetailsResponseV2","description":"Validation details."}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/organization/v2/{orgId}/validations/assignment/{validationId}":{"put":{"tags":["Validations"],"summary":"Change external validation assignment","description":"Updates the assigned external organization's validation.","operationId":"update-external-validation-assignment","parameters":[{"name":"orgId","in":"path","description":"Organization ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"validationId","in":"path","description":"Validation ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"externalOrgId","in":"query","description":"External CA backend organization ID.","required":true,"schema":{"type":"string","description":"External CA backend organization ID.","maxLength":256,"minLength":0}},{"name":"externalOrgName","in":"query","description":"External CA backend organization name.","required":true,"schema":{"type":"string","description":"External CA backend organization name.","maxLength":256,"minLength":0}}],"responses":{"202":{"description":"Updated"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/organization/v1/{id}":{"get":{"tags":["Organizations"],"summary":"Organization details","description":"Returns organization detailed info","operationId":"get-org-details","parameters":[{"name":"id","in":"path","description":"ID of the requested organization","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Organization detailed info object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationResp","description":"Organization detailed info"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Organizations"],"summary":"Update organization","description":"Updates organization with given parameters","operationId":"update-organization","parameters":[{"name":"id","in":"path","description":"ID of organization whose details are being updated","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Organization object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrganizationRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/UpdateOrganizationRequest"}}},"required":true},"responses":{"200":{"description":"Organization successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationResp","description":"Organization detailed info"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Organizations"],"summary":"Delete Organization","description":"Delete organization by ID","operationId":"delete-org","parameters":[{"name":"id","in":"path","description":"ID of the organization or department","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Organization successfully deleted"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/notification/v1/{notificationId}":{"put":{"tags":["Notifications"],"summary":"Update Notification","description":"Update notification","operationId":"update-notification","parameters":[{"name":"notificationId","in":"path","description":"Notification ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Notification update object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationRequest"}}},"required":true},"responses":{"200":{"description":"Notification info object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationBasicResp","description":"Notification info object"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Notifications"],"summary":"Delete Notification","description":"Delete notification","operationId":"delete-notification","parameters":[{"name":"notificationId","in":"path","description":"Notification ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Successful response."},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/mark-certificate/v1/{id}":{"get":{"tags":["Mark certificates"],"summary":"Get Mark Certificate Details","description":"Returns details for a specific Mark certificate.","operationId":"get-mark-certificate-details","parameters":[{"name":"id","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includes","in":"query","description":"Additional fields to include in the response(comma separated). Allowed values:\n'usage' - certificate licensing usage data.\n","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Mark certificate details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkCertDetails"}}}},"404":{"description":"Certificate not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkCertDetails"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Mark certificates"],"summary":"Update Mark Certificate","description":"Submit request for a certificate update","operationId":"update-mark-certificate","parameters":[{"name":"id","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Fields for certificate update function","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkEnrollRequest"}}},"required":true},"responses":{"202":{"description":"Updated"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/endpoint/v1/{id}":{"get":{"tags":["Endpoints"],"summary":"Get enrollment endpoint details","description":"Get detailed information about endpoint.","operationId":"get-enrollment-endpoint-details","parameters":[{"name":"id","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Endpoint details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrolmentEndpointItem","description":"Endpoint details"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Endpoints"],"summary":"Update enrollment endpoint","description":"Updates endpoint according to the provided request.","operationId":"update-enrollment-endpoint","parameters":[{"name":"id","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"name","in":"query","description":"Endpoint name","required":true,"schema":{"type":"string","description":"Endpoint name","example":"My endpoint","maxLength":256,"minLength":1},"example":"My endpoint"},{"name":"endpointType","in":"query","description":"Endpoint type","required":true,"schema":{"type":"string","description":"Endpoint type","enum":["SSL_WEB_FORM, SMIME_WEB_FORM, DEVICE_WEB_FORM, CODE_SIGN_WEB_FORM"]}},{"name":"uriExtension","in":"query","description":"Endpoint URI extension","required":true,"schema":{"type":"string","description":"Endpoint URI extension","example":"my-endpoint","maxLength":58,"minLength":1},"example":"my-endpoint"},{"name":"config.enrollmentHelp","in":"query","description":"Endpoint enrollment instructions","required":false,"schema":{"type":"string","description":"Endpoint enrollment instructions","maxLength":2048,"minLength":0}},{"name":"config.enrollmentLinkName","in":"query","description":"Endpoint enrollment external instructions URL name","required":false,"schema":{"type":"string","description":"Endpoint enrollment external instructions URL name","maxLength":1024,"minLength":0}},{"name":"config.enrollmentLinkAddress","in":"query","description":"Endpoint enrollment external instructions URL","required":false,"schema":{"type":"string","description":"Endpoint enrollment external instructions URL","maxLength":2048,"minLength":0,"pattern":"^(?!.*\\S)|^((((https?|ftps?|gopher|telnet|nntp)://)|(mailto:|news:))(%[0-9A-Fa-f]{2}|[-()_.!~*';/?:@&=+$,A-Za-z0-9])+)([).!';/?:,][[:blank:]])?$"}},{"name":"config.webFormAuthTypes","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Web Form authentication method","enum":["EMAIL_CONFIRMATION","IDP","SECRET_ID","EMAIL_CONFIRMATION","IDP","SECRET_ID"]},"maxItems":2147483647,"minItems":1}},{"name":"config.contactName","in":"query","description":"Contact name","required":false,"schema":{"type":"string","description":"Contact name","maxLength":1024,"minLength":0}},{"name":"config.contactEmail","in":"query","description":"Contact e-mail","required":false,"schema":{"type":"string","description":"Contact e-mail","maxLength":1024,"minLength":0}},{"name":"config.contactPhone","in":"query","description":"Contact phone","required":false,"schema":{"type":"string","description":"Contact phone","maxLength":32,"minLength":0}},{"name":"orgDelegations","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32","description":"Delegated organization ID","maximum":2147483647,"minimum":1},"maxItems":2147483647,"minItems":1}}],"responses":{"204":{"description":"Updated"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Endpoints"],"summary":"Delete enrollment endpoint","description":"Deletes enrollment endpoint.","operationId":"delete-enrollment-endpoint","parameters":[{"name":"id","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/endpoint/v1/{id}/delegations":{"put":{"tags":["Endpoints"],"summary":"Create/Update enrollment endpoint delegations","description":"Create/Update endpoint delegations to organization / department. If endpoint was in global delegation mode, it will be switched to custom mode.","operationId":"add-enrollment-endpoint-delegations","parameters":[{"name":"id","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Delegated organizations IDs","items":{"type":"integer","format":"int32"},"uniqueItems":true}}},"required":true},"responses":{"201":{"description":"Created"},"204":{"description":"Updated"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Endpoints"],"summary":"Remove all enrollment endpoint delegations","description":"Remove all endpoint delegations from organization / department. The endpoint will be switched to global delegation mode.","operationId":"remove-enrollment-endpoint-delegations","parameters":[{"name":"id","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/endpoint/v1/{id}/config":{"get":{"tags":["Endpoints"],"summary":"Get enrollment endpoint configuration","description":"Get enrollment endpoint configuration details","operationId":"get-enrollment-endpoint-config","parameters":[{"name":"id","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Endpoint configuration data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrollmentEndpointConfigInfo","description":"Endpoint configuration"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Endpoints"],"summary":"Create/Update enrollment endpoint configuration","description":"Create/Update enrollment endpoint configuration, e.g. customized contact data","operationId":"add-enrollment-endpoint-config","parameters":[{"name":"id","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrollmentEndpointConfigRequest"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/endpoint/v1/{eeId}/account/{id}":{"get":{"tags":["Endpoint Accounts"],"summary":"Get enrollment endpoint account details","description":"Get detailed information about endpoint account.","operationId":"get-enrollment-endpoint-account-details","parameters":[{"name":"eeId","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"id","in":"path","description":"Enrollment endpoint account ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Endpoint account details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EndpointAccountItem","description":"Endpoint account details."}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Endpoint Accounts"],"summary":"Update enrollment endpoint account","description":"Updates endpoint account according to the provided request.","operationId":"update-enrollment-endpoint-account","parameters":[{"name":"eeId","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"id","in":"path","description":"Enrollment endpoint account ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Update enrollment endpoint account request object","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/CreatePublicAcmeEnrollAccount"},{"$ref":"#/components/schemas/CreateSslMaggieEnrollAccount"},{"$ref":"#/components/schemas/CsWebFormAccountRequest"},{"$ref":"#/components/schemas/DeviceWebFormAccountRequest"},{"$ref":"#/components/schemas/SSLWebFormAccountRequest"},{"$ref":"#/components/schemas/SmimeWebFormAccountRequest"}]}}},"required":true},"responses":{"204":{"description":"Updated"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Endpoint Accounts"],"summary":"Delete enrollment endpoint account","description":"Deletes enrollment account.","operationId":"delete-enrollment-endpoint-account","parameters":[{"name":"eeId","in":"path","description":"Enrollment endpoint ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"id","in":"path","description":"Enrollment endpoint account ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/domain/v1/{id}/suspend":{"put":{"tags":["Domains"],"summary":"Suspend domain","description":"Suspended domain. Operation is allowed only for admins with role MRAO.","operationId":"suspend-domain","parameters":[{"name":"id","in":"path","description":"Domain ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/domain/v1/{id}/monitoring":{"put":{"tags":["Domains"],"summary":"CT Log Monitoring","description":"Change domain's CT Log Monitoring.","operationId":"ct-log-monitoring","parameters":[{"name":"id","in":"path","description":"Domain ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CtLogMonitoring"}}},"required":true},"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/domain/v1/{id}/activate":{"put":{"tags":["Domains"],"summary":"Activate domain","description":"Activate domain. Operation is allowed only for admins with role MRAO.","operationId":"activate-domain","parameters":[{"name":"id","in":"path","description":"Domain ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/discovery/v4/net_task/{id}":{"put":{"tags":["Network Discovery Tasks"],"summary":"Update network scan task","description":"Enables administrators to edit a network scan task.","operationId":"update-network-task","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Request for edit network discovery task","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetTaskRequestV2"}},"application/xml":{"schema":{"$ref":"#/components/schemas/NetTaskRequestV2"}}},"required":true},"responses":{"200":{"description":"Edit response."},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/discovery/v4/ad_task/{id}":{"put":{"tags":["MS AD Discovery Tasks"],"summary":"Update MS AD scan task","description":"Enables administrators to edit MS AD scan task","operationId":"update-ms-ad-scan-task","parameters":[{"name":"id","in":"path","description":"ID of MS AD scan task whose details are being updated","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"MS AD scan task object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdTaskRequestV2"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AdTaskRequestV2"}}},"required":true},"responses":{"200":{"description":"MS AD scan task successfully updated"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/discovery/v1/bucket/{bucketId}":{"get":{"tags":["Certificate Buckets"],"summary":"Find certificate bucket by ID","description":"Returns certificate bucket detailed info","operationId":"find-certificate-bucket-by-id","parameters":[{"name":"bucketId","in":"path","description":"Certificate bucket ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Certificate bucket detailed info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BucketDetailsResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Certificate Buckets"],"summary":"Update certificate bucket","description":"Updates certificate bucket","operationId":"update-certificate-bucket","parameters":[{"name":"bucketId","in":"path","description":"Certificate bucket ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Certificate bucket update object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBucketRequest"}}},"required":true},"responses":{"200":{"description":"Successful update of certificate bucket","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BucketUpdateResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Certificate Buckets"],"summary":"Delete certificate bucket","description":"Deletes certificate bucket","operationId":"delete-certificate-bucket","parameters":[{"name":"bucketId","in":"path","description":"Certificate bucket ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"Successful delete ACME certificate bucket action"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/discovery/v1/bucket/{bucketId}/reset-client-secret":{"put":{"tags":["Certificate Buckets"],"summary":"Reset certificate bucket client secret","description":"Resets certificate bucket client secret","operationId":"reset-client-secret","parameters":[{"name":"bucketId","in":"path","description":"Certificate bucket ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Certificate bucket reset client secret response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BucketBasicInfo"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/discovery/v1/bucket/{bucketId}/delegations":{"put":{"tags":["Certificate Buckets"],"summary":"Delegate organizations to existing certificate bucket","description":"Delegates organizations to existing certificate bucket","operationId":"delegate-organizations-to-certificate-bucket","parameters":[{"name":"bucketId","in":"path","description":"Certificate bucket ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Delegate organizations info object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DelegateRequest"}}},"required":true},"responses":{"200":{"description":"Successful result of organizations delegation for certificate bucket","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BucketDelegateOrgsResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/discovery/v1/azure_task/{id}":{"put":{"tags":["Azure Key Vault Discovery Tasks"],"summary":"Update Azure Key Vault scan task","description":"Enables administrators to edit Azure Key Vault scan task","operationId":"update-azure-key-vault-scan-task","parameters":[{"name":"id","in":"path","description":"ID of Azure Key Vault scan task whose details are being updated","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Azure Key Vault scan task object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AzureTaskRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AzureTaskRequest"}}},"required":true},"responses":{"200":{"description":"Azure Key Vault scan task successfully updated"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/discovery/v1/assignmentrule":{"get":{"tags":["Assignment rules"],"summary":"Get assignment rules ID list","description":"Enables Admins to get the list of existing assignment rules IDs for the organization or department delegated to them","operationId":"get-assignment-rules-id-list","parameters":[{"name":"size","in":"query","description":"Count of entries","required":false,"schema":{"type":"integer","format":"int32","description":"Count of entries","maximum":200,"minimum":0}},{"name":"position","in":"query","description":"The first position (entry) to return from the results of the query","required":false,"schema":{"type":"integer","format":"int32","description":"The first position (entry) to return from the results of the query","minimum":0}}],"responses":{"200":{"description":"List of assignment rules IDs","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Assignment rules"],"summary":"Update assignment rule","description":"Enables the administrator to edit the existing assignment rule","operationId":"update-assignment-rule","requestBody":{"description":"Assignment rule update object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditRuleRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EditRuleRequest"}}},"required":true},"responses":{"204":{"description":"Assignment rule update response"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"post":{"tags":["Assignment rules"],"summary":"Create assignment rule","description":"Assignment rules are associated with discovery tasks to assign 'Unmanaged' certificates (those not issued by SCM) to a particular Organization or Department","operationId":"create-assignment-rule","requestBody":{"description":"Assignment rule creation object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddRuleRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddRuleRequest"}}},"required":true},"responses":{"201":{"description":"Assignment Rule creation response","headers":{"Location":{"description":"URL location of created assignment rule","style":"simple","schema":{"type":"string"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/device/v1/{certId}":{"put":{"tags":["Device certificates"],"summary":"Update Device Certificate Details","description":"Update Device certificate.","operationId":"update-device-certificate-details","parameters":[{"name":"certId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Device certificate update request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertUpdateRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CertUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Device Certificate details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertDetailsResponse","description":"Device certificate identity"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Device certificates"],"summary":"Delete Device Certificate by Id","description":"Submission of a request for deleting Device certificate for a given Id.","operationId":"delete-device-certificate-by-id","parameters":[{"name":"certId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"Delete Device Certificate response. No content."},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/device/v1/{certId}/location/{locationId}":{"get":{"tags":["Device certificates"],"summary":"Get Location Details","description":"Returns Device certificate location details.","operationId":"get-device-cert-location-details","parameters":[{"name":"certId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Device certificate location details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationResponseItem","description":"Device certificate location details"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Device certificates"],"summary":"Update Custom Location","description":"Updates custom certificate location with the new details.","operationId":"update-device-cert-custom-location","parameters":[{"name":"certId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationCreateUpdateRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/LocationCreateUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Device certificates"],"summary":"Delete Custom Location","description":"Deletes custom certificate location.","operationId":"delete-device-cert-custom-location","parameters":[{"name":"certId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"locationId","in":"path","description":"Location ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/customField/v2":{"get":{"tags":["Custom Fields"],"summary":"List custom fields","description":"List all custom fields according to filter. Includes complete details.","operationId":"read-custom-fields-by-cert-type","parameters":[{"name":"size","in":"query","description":"Count of entries","required":false,"schema":{"type":"integer","format":"int32","description":"Count of entries","maximum":200,"minimum":0}},{"name":"position","in":"query","description":"The first position (entry) to return from the results of the query","required":false,"schema":{"type":"integer","format":"int32","description":"The first position (entry) to return from the results of the query","minimum":0}},{"name":"certType","in":"query","description":"Certificate Type of Custom Field","required":false,"schema":{"type":"string","description":"Certificate Type of Custom Field","enum":["SSL","SMIME","Device","CodeSign","Mark"]}}],"responses":{"200":{"description":"Response with array of custom fields info objects","headers":{"X-Total-Count":{"description":"Total amount of custom fields matching filter.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApiCustomFieldV2"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Custom Fields"],"summary":"Update Custom Field","description":"Update the custom field","operationId":"update-custom-field","requestBody":{"description":"Request for update of custom field","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiCustomFieldV2"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ApiCustomFieldV2"}}},"required":true},"responses":{"200":{"description":"Custom Field info object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiCustomFieldV2","description":"Custom Field info object"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"post":{"tags":["Custom Fields"],"summary":"Create Custom Field","description":"Create the custom field for a particular type of certificate.","operationId":"create-custom-field","requestBody":{"description":"Request for creation of custom field","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCustomFieldReqV2"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CreateCustomFieldReqV2"}}},"required":true},"responses":{"201":{"description":"Custom Field info object","headers":{"Location":{"description":"URL location of created Custom Field","style":"simple","schema":{"type":"string"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/azure/v1/accounts/{id}":{"get":{"tags":["Azure Accounts"],"summary":"Retrieve Azure account details","description":"Get Azure account detailed info","operationId":"get-azure-account-details","parameters":[{"name":"id","in":"path","description":"Azure account identifier","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Azure account detailed data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AzureAccountDetails","description":"Azure account details schema"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Azure Accounts"],"summary":"Update Azure account","description":"Update Azure account with given parameters","operationId":"update-azure-account","parameters":[{"name":"id","in":"path","description":"Azure account identifier","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Azure account update request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AzureAccountUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful update of Azure account"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Azure Accounts"],"summary":"Delete Azure account","description":"Delete Azure account by given ID","operationId":"delete-azure-account","parameters":[{"name":"id","in":"path","description":"Azure account identifier","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"Response on successful deletion of an Azure account"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/azure/v1/accounts/{id}/delegations":{"put":{"tags":["Azure Accounts"],"summary":"Delegate organizations to existing Azure account","description":"Delegates organizations to existing certificate bucket","operationId":"delegate-organizations-to-account","parameters":[{"name":"id","in":"path","description":"Azure account identifier","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Delegate organizations info object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DelegateRequest"}}},"required":true},"responses":{"200":{"description":"Successful result of organizations delegation for Azure account","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DelegatedOrgsResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/agent/v1/network/{id}":{"get":{"tags":["Network Agents"],"summary":"Get network agent details","description":"Get network agent details.","operationId":"get-network-agent-details","parameters":[{"name":"id","in":"path","description":"Network agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}}],"responses":{"200":{"description":"Response object with network agent details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExAgentDetails","description":"Response object with network agent details."}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Network Agents"],"summary":"Update network agent details","description":"Update Network Agent details.","operationId":"update-network-agent","parameters":[{"name":"id","in":"path","description":"Network agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}}],"requestBody":{"description":"Network agent update request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExAgentUpdateRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExAgentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Update response."},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Network Agents"],"summary":"Delete network agent","description":"Delete Network Agent.","operationId":"delete-network-agent","parameters":[{"name":"id","in":"path","description":"Network agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}}],"responses":{"200":{"description":"Delete response."},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/agent/v1/network/{agentId}/server/{id}":{"get":{"tags":["Network Agents"],"summary":"Get server details","description":"Get network agent server details.","operationId":"get-network-agent-server-details","parameters":[{"name":"agentId","in":"path","description":"Network agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}},{"name":"id","in":"path","description":"Server ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}}],"responses":{"200":{"description":"Response object with server details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TargetServerDto","description":"Response object with server details."}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Network Agents"],"summary":"Update server details","description":"Update server details.","operationId":"update-server-details","parameters":[{"name":"agentId","in":"path","description":"Network agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}},{"name":"id","in":"path","description":"Server ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}}],"requestBody":{"description":"Request object to update server details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TargetServerUpdateRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/TargetServerUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Update response."},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Network Agents"],"summary":"Delete server","description":"Delete server from network agent.","operationId":"delete-server-from-network-agent","parameters":[{"name":"agentId","in":"path","description":"Network agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}},{"name":"id","in":"path","description":"Server ID","required":true,"schema":{"type":"integer","format":"int32","minimum":0}}],"responses":{"200":{"description":"Delete response"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/agent/v1/ms/{id}":{"get":{"tags":["MS Agents"],"summary":"Get MS Agent Details","description":"Get MS Agent details.","operationId":"get-ms-agent-details","parameters":[{"name":"id","in":"path","description":"MS Agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Response object with ms agent details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MsAgentDetails","description":"Response object with ms agent details."}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["MS Agents"],"summary":"Update MS Agent Details","description":"Update MS Agent details.","operationId":"update-ms-agent","parameters":[{"name":"id","in":"path","description":"MS Agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Request object to update MS Agent.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MsAgentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Update response.","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["MS Agents"],"summary":"Delete MS Agent","description":"Delete MS Agent.","operationId":"delete-ms-agent","parameters":[{"name":"id","in":"path","description":"MS Agent ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Delete response.","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/admin/v1/{id}/unlink":{"put":{"tags":["Administrators"],"summary":"Unlink IdP administrator from template","description":"This method removes the link to IdP template for IdP administrator, thus admin will no longer be managed by it.","operationId":"unlink-from-template","parameters":[{"name":"id","in":"path","description":"ID of IdP admin to unlink from IdP template","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/admin-template/v1/{id}":{"get":{"tags":["Template Administrators"],"summary":"Get IdP Template details","description":"Get detailed information about IdP template.","operationId":"get-admin-template-details","parameters":[{"name":"id","in":"path","description":"ID of IdP admin template being requested","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"IdP Template details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdpTemplateDetails","description":"IdP Template details"}},"application/xml":{"schema":{"$ref":"#/components/schemas/IdpTemplateDetails","description":"IdP Template details"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Template Administrators"],"summary":"Update IdP Template","description":"Update IdP Template. Fields that are not changed can be omitted in request. Please note that requested changes (except name) are automatically applied to all IdP admins assigned to this template. In order to get a list of administrators that are currently assigned to this template, please use \"List administrators\" method from the \"Administrators Management\" API with filter by \"templateId\" parameter.","operationId":"update-admin-template","parameters":[{"name":"id","in":"path","description":"ID of IdP admin template being updated","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAndUpdateIdpTemplateRequest"}}},"required":true},"responses":{"200":{"description":"Successful"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Template Administrators"],"summary":"Delete IdP Template","description":"Delete IdP template. By default, all related administrators will be deleted automatically with the template. It is also possible to unlink all related administrators from this template. In order to get a list of administrators that are currently assigned to this template, please use \"List administrators\" method from the \"Administrators\" API with filter by \"templateId\" parameter.","operationId":"delete-admin-template","parameters":[{"name":"id","in":"path","description":"ID of IdP template being deleted","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"relatedAdminsAction","in":"query","description":"Option that specify required action for the related IdP admins that were created based on this template and still assigned to it. Default value is 'unlink', which means that assigned admins will be unlinked from this template and will no longer be managed by it. When 'delete' action is specified, then related admins will be deleted together with this template.","required":false,"schema":{"$ref":"#/components/schemas/IdpTemplateDeleteOption"}},{"name":"replacingRequesterId","in":"query","description":"Optional, specifies ID of the client administrator to be assigned as certificate requester instead of those being deleted. If omitted, currently assigned requesters are retained. Has no effect if 'unlink' or no value is passed to 'relatedAdminsAction' request parameter. The replacing requester should have type other than IdP Template and have no parent template or have parent template whose Id differs from Id of the template being deleted. Use respective list API method with necessary filtering options to get suitable client administrators.","required":false,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/acme/v2/account/{id}":{"get":{"tags":["Sectigo Public ACME accounts"],"summary":"Get ACME account details","description":"Returns Public ACME account detailed info","operationId":"get-public-acme-account-details","parameters":[{"name":"id","in":"path","description":"Public ACME account entity ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Public ACME account detailed info object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicAcmeAccountInfoV2","description":"Public ACME account detailed info"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Sectigo Public ACME accounts"],"summary":"Update ACME account details","description":"Updates ACME account details with given Name parameter","operationId":"update-public-acme-account","parameters":[{"name":"id","in":"path","description":"ACME account entity ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"ACME account parameters object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicAcmeAccountUpdateRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PublicAcmeAccountUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful update Public ACME account action"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Sectigo Public ACME accounts"],"summary":"Delete ACME account","description":"Delete Public ACME account with given ID","operationId":"delete-public-acme-account","parameters":[{"name":"id","in":"path","description":"ID of ACME account that being deleted","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"Successful delete Public ACME account action"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/acme/v2/account/{id}/client/{clientId}":{"put":{"tags":["Sectigo Public ACME accounts"],"summary":"Deactivate ACME account’s client","description":"Deactivate Public ACME account client with given ID for specified account ID","operationId":"deactivate-public-acme-account-client","parameters":[{"name":"id","in":"path","description":"ID of ACME account whose client will be deactivated","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"clientId","in":"path","description":"UUID of ACME account’s client that being deactivated  (accountId).","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"204":{"description":"Successful delete Public ACME account's client action"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/acme/v1/pca/account/{id}":{"get":{"tags":["Universal ACME accounts"],"summary":"Get ACME account details","description":"Returns Universal ACME account detailed info","operationId":"get-universal-acme-account-details","parameters":[{"name":"id","in":"path","description":"Universal ACME account entity ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Universal ACME account detailed info object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateAcmeAccountInfo","description":"Universal ACME account detailed info"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"put":{"tags":["Universal ACME accounts"],"summary":"Update ACME account","description":"Updates Universal ACME account with given Name parameter","operationId":"update-universal-acme-account","parameters":[{"name":"id","in":"path","description":"Universal ACME account entity ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"Universal ACME account update object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateAcmeAccountUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful update of universal ACME account"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"delete":{"tags":["Universal ACME accounts"],"summary":"Delete ACME account","description":"Delete universal ACME account with given ID","operationId":"delete-universal-acme-account","parameters":[{"name":"id","in":"path","description":"ID of Universal ACME account that being deleted","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"204":{"description":"Successful delete ACME account action"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/acme/v1/pca/account/{id}/client/{clientId}":{"put":{"tags":["Universal ACME accounts"],"summary":"Deactivate Universal ACME account’s client","description":"Deactivate universal ACME client by its UUID for universal ACME account with given ID","operationId":"deactivate-universal-acme-account-client","parameters":[{"name":"id","in":"path","description":"ID of Universal ACME account whose client will be deactivated","required":true,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"clientId","in":"path","description":"UUID of Universal ACME account’s client being deactivated (accountId)","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"204":{"description":"Successful deactivation of Universal ACME account's client action"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/{sslId}/location":{"get":{"tags":["SSL certificates"],"summary":"List Locations","description":"List SSL certificate locations.","operationId":"list-ssl-cert-locations","parameters":[{"name":"sslId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"Returns a list of SSL certificate locations","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LocationResponseItem"}}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}},"post":{"tags":["SSL certificates"],"summary":"Create Custom Location","description":"Creates a new custom location for the SSL certificate.","operationId":"create-ssl-cert-custom-location","parameters":[{"name":"sslId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationCreateUpdateRequest"}}},"required":true},"responses":{"201":{"description":"Created","headers":{"Location":{"description":"URL location of created certificate location","style":"simple","schema":{"type":"string"}}}},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/{sslId}/dcv/recheck":{"post":{"tags":["SSL certificates"],"summary":"Recheck DCV process info","description":"Initiate SSL certificate revalidation of DCV info","operationId":"recheck-ssl-cert-dcv-info","parameters":[{"name":"sslId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request"},"404":{"description":"Entity not found. Response contains error code and error description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundErrorResponse"}}}},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/revoke/{id}":{"post":{"tags":["SSL certificates"],"summary":"Revoke SSL Certificate by Id","description":"Sending a request to CA to add the particular SSL certificate in certificate revocation list.","operationId":"revoke=ssl-certificate-by-id","parameters":[{"name":"id","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"SSL Certificate revoke request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SslRevokeRequest"}}},"required":true},"responses":{"204":{"description":"Revoke SSL Certificate response. No content."},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/revoke/serial/{serialNumber}":{"post":{"tags":["SSL certificates"],"summary":"Revoke SSL Certificate by Serial Number","description":"Sending a request to CA to add the particular SSL certificate in certificate revocation list","operationId":"revoke-ssl-certificate-by-serial-number","parameters":[{"name":"serialNumber","in":"path","description":"Serial Number of certificate","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Client Certificate revoke request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SslRevokeRequest"}}},"required":true},"responses":{"204":{"description":"Revoke SSL Certificate response. No content."},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/revoke/manual":{"post":{"tags":["SSL certificates"],"summary":"Mark As Revoked SSL Certificate by Id or SN + Issuer","description":"Marking SSL certificate as revoked in SCM","operationId":"revokeManual=ssl-certificate-by-id-or-sn-plus-issuer","requestBody":{"description":"SSL Certificate mark as revoked request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkAsRevokedRequest"}}},"required":true},"responses":{"204":{"description":"Mark As Revoked SSL Certificate response. No content."},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/replace/{sslId}":{"post":{"tags":["SSL certificates"],"summary":"Replace SSL Certificate by Id","description":"Submission of a request for the substition of the particular SSL certificate applying its parameters and a new CSR.","operationId":"replace-ssl-certificate-by-id","parameters":[{"name":"sslId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"SSL Certificate replace request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SslReplaceRequest"}}},"required":true},"responses":{"204":{"description":"Replace SSL Certificate response. No content."},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/renewById/{sslId}":{"post":{"tags":["SSL certificates"],"summary":"Renew SSL Certificate by Id","description":"Submission of a request for a new SSL certificate using the CSR and parameters of the initial SSL certificate. The initial certificate is defined by its ID in this case.","operationId":"renew-ssl-certificate-by-id","parameters":[{"name":"sslId","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"SSL Certificate renew request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RenewInfo"}}},"required":true},"responses":{"200":{"description":"Renew SSL Certificate response object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RenewResponse","description":"Renew SSL Certificate response object"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/renew/{renewId}":{"post":{"tags":["SSL certificates"],"summary":"Renew SSL Certificate by Renew Id","description":"Submission of a request for a new SSL certificate using the CSR and parameters of the initial certificate. The initial certificate is the one that is selected by the administrator for renewal in this case.","operationId":"renew-ssl-certificate-by-serial-number","parameters":[{"name":"renewId","in":"path","description":"Renew ID for certificate.","required":true,"schema":{"type":"string","maxLength":20,"minLength":0}}],"requestBody":{"description":"SSL Certificate renew request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RenewInfo"}}}},"responses":{"204":{"description":"Renew SSL Certificate response. No content."},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/renew/manual/{id}":{"post":{"tags":["SSL certificates"],"summary":"Mark SSL certificate as Renewed","description":"Manually marking an SSL certificate as renewed, optionally linking it to a new certificate ID or Order Number. The initial certificate is defined by its ID.","operationId":"mark-ssl-certificate-as-renew-by-certificate-id","parameters":[{"name":"id","in":"path","description":"Certificate ID","required":true,"schema":{"type":"integer","format":"int32","minimum":1}}],"requestBody":{"description":"SSL Certificate renew manual request object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RenewManualRequest"}}},"required":true},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized","$ref":"#/components/responses/UnauthorizedError"}}}},"/api/ssl/v2/keystore/{sslId}/{formatType}":{"post":{"tags":["SSL certificates"],"summary":"Download Private Key From Private Key Agent","description":"Generation of a link to download private key from Private Key Agent.","operationId":"download-ssl-from-key-store","parameters":[{"name":"sslId","in":"path","description":"SSL ID for which the link will be generated","requi
[...]
